from django.conf import settings


class AppSettings:
    def get_setting(self, setting, default=None):
        return getattr(settings, 'NONSTOP_' + setting, default)

    @property
    def REMOTE_BASE_PATH(self):
        return self.get_setting('REMOTE_BASE_PATH', '/srv/soma/nonstop/')

    @property
    def LOCAL_BASE_PATH(self):
        return self.get_setting('LOCAL_BASE_PATH', '/media/nonstop/')

    @property
    def JINGLES_PREFIX(self):
        # relative to ..._BASE_PATH
        return self.get_setting('JINGLES_PREFIX', 'SPOTS')

    @property
    def DEBUG_WITH_SLEEPS(self):
        return self.get_setting('DEBUG_WITH_SLEEPS', False)

    @property
    def PLAYER_COMMAND(self):
        return self.get_setting('PLAYER_COMMAND', 'mpv')

    @property
    def PLAYER_ARGS(self):
        return self.get_setting('PLAYER_ARGS', [])

    @property
    def ON_AIR_SWITCH_URL(self):
        return self.get_setting('ON_AIR_SWITCH_URL', None)

    @property
    def NO_REPEAT_DELAY(self):
        return self.get_setting('NO_REPEAT_DELAY', 7)


app_settings = AppSettings()
